import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Locale;
import java.util.TimeZone;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class LocaleReport extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			LocaleReport report = new LocaleReport();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSetChartPath(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSetChartPath(this));
	}

	Component doSetChartPath(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Open the template
		QbReport report = new QbReport(parent, // container 
				"LocaleReport.rpt"); // template

		// Set the locale and timezone
		report.setLocale(Locale.UK);
		report.setTimeZone(TimeZone.getTimeZone("GMT"));

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
